Bug 91884 - Support for useragent & referer logs not enabled during compilation
Support for useragent & referer logs not enabled during compilation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: squid (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-29 06:11 EDT by Daniel Berrange
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 16:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-05-29 06:11:40 EDT
Description of problem:

The default options for configure do not turn on support for generating
useragent and referer logs. Thus when running analysis software on
a site's logs a large number of reports are unavailable, most crucially:

 * Search engine referals
 * Client Browser
 * Client Operating system

Version-Release number of selected component (if applicable):

Version: 2.4.STABLE6   
Release: 6.7.3
  
How reproducible:

Always

Steps to Reproduce:
1. Edit /etc/squid/squid.conf
2. Add options:

referer_log /var/log/squid/referer.log
useragent_log /var/log/squid/agent.log

3. Restart squid

/etc/init/squid/restart
    
Actual results:

[root@demo-rhi root]# /etc/init.d/squid status 
squid (pid 15256 15254) is running...
2003/05/29 11:10:51| parseConfigFile: line 718 unrecognized: 'referer_log
/var/log/squid/referer.log'
2003/05/29 11:10:51| parseConfigFile: line 719 unrecognized: 'useragent_log
/var/log/squid/agent.log'
[root@demo-rhi root]# 

Expected results:

[root@demo-rhi root]# /etc/init.d/squid status 
squid (pid 15256 15254) is running...
[root@demo-rhi root]# 

Additional info:

To resolve simply edit the SPEC file %build section and add

--enable-useragent-log
--enable-referer-log

as arguments to the %configure macro
Comment 1 Jay Fenlason 2005-05-24 16:29:31 EDT
These are enabled in RHEL3 and RHEL4.  I won't be making a potentially 
incompatable change like this to RHEL-2.1 

Note You need to log in before you can comment on or make changes to this bug.